summaryrefslogtreecommitdiff
path: root/firefox.sh.in
diff options
context:
space:
mode:
authorChristopher Aillon <caillon@fedoraproject.org>2006-03-10 06:57:11 +0000
committerChristopher Aillon <caillon@fedoraproject.org>2006-03-10 06:57:11 +0000
commitf381d84d80f67bb80fe539832d312f17a0540e1f (patch)
tree3ae60e04b04357d2ef2336213072da21fb7d9fd3 /firefox.sh.in
parentmake links point at the correct release (diff)
downloadlibrewolf-fedora-ff-f381d84d80f67bb80fe539832d312f17a0540e1f.tar.gz
librewolf-fedora-ff-f381d84d80f67bb80fe539832d312f17a0540e1f.tar.bz2
librewolf-fedora-ff-f381d84d80f67bb80fe539832d312f17a0540e1f.zip
- Disable pango by default in non-indic locales per upstream request. Users
can export MOZ_ENABLE_PANGO=1 to force pango support.
Diffstat (limited to 'firefox.sh.in')
-rw-r--r--firefox.sh.in15
1 files changed, 13 insertions, 2 deletions
diff --git a/firefox.sh.in b/firefox.sh.in
index 2623007..3bda263 100644
--- a/firefox.sh.in
+++ b/firefox.sh.in
@@ -83,12 +83,23 @@ FONTCONFIG_PATH="/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
export FONTCONFIG_PATH
##
-## Set MOZ_ENABLE_PANGO is no longer used because Pango is enabled by default
-## you may use MOZ_DISABLE_PANGO=1 to force disabling of pango
+## Set MOZ_ENABLE_PANGO=1 to force enabling pango
+## Set MOZ_DISABLE_PANGO=1 to force disabling of pango
##
#MOZ_DISABLE_PANGO=1
#export MOZ_DISABLE_PANGO
+# For now, in order to ship with firefox trademarks, we need to default to
+# disable pango on non-indic locales. Use MOZ_ENABLE_PANGO=1 to force pango.
+tmplang=${LC_CTYPE:-${LANG:-"en_US.UTF-8"}}
+if ! echo $tmplang | grep "^..[_-]IN" > /dev/null; then
+ if [ -z "$MOZ_ENABLE_PANGO" ]; then
+ MOZ_DISABLE_PANGO=1
+ export MOZ_DISABLE_PANGO
+ fi
+fi
+
+
function check_running() {
$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_PROGRAM_PARAM 'ping()' 2>/dev/null >/dev/null
RETURN_VAL=$?
bgstack15